Subject: Re: linux-next-2023-0815: s390/block/dasd: build error

From: Sven Schnelle <[email-masked]>
Date: Wed, 16 Aug 2023 09:03:54 +0200

Randy Dunlap <[email-masked]> writes:

> I have spent some time on this but I don't see where the problem is.
>
> ERROR: modpost: "bdev_mark_dead" [drivers/s390/block/dasd_mod.ko] undefined!
>
> CONFIG_BLOCK=y, bdev.o is built and contains the missing symbol.
>
> Full randconfig file is attached.
>
> Hopefully I'm just overlooking something.

The EXPORT_SYMBOL_GPL is surrounded by #ifdef CONFIG_DASD, but i think
it should be '#ifdef CONFIG_DASD_MODULE'. This was introduced by

381f678306ce ("block: consolidate __invalidate_device and fsync_bdev")

There was already a thread about this:

https://www.spinics.net/lists/linux-btrfs/msg138633.html

regards,
Sven